## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate dotenvy

Name:           rust-dotenvy
Version:        0.15.7
Release:        %autorelease
Summary:        Well-maintained fork of the dotenv crate

License:        MIT
URL:            https://crates.io/crates/dotenvy
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump clap dependency from 3 to 4: https://github.com/allan2/dotenvy/pull/77
Patch:          dotenvy-fix-metadata.diff
Patch:          0001-port-to-clap-4.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A well-maintained fork of the dotenv crate.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
License:        MIT AND (Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/dotenvy

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f cli

%build
%cargo_build -f cli
%{cargo_license_summary -f cli}
%{cargo_license -f cli} > LICENSE.dependencies

%install
%cargo_install -f cli

%if %{with check}
%check
# * files required by doctests are not included in published crates
%cargo_test -f cli -- --lib
%cargo_test -f cli -- --tests
%endif

%changelog
## START: Generated by rpmautospec
* Sat Dec 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.15.7-6
- Port from clap v3 to v4

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.15.7-4
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.7-1
- Update to version 0.15.7; Fixes RHBZ#2180935

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.6-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.15.6-2
- Fixup for missing LICENSE file and license breakdown for binary

* Sat Jan 07 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.15.6-1
- Initial import (#2157815)
## END: Generated by rpmautospec
